﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.VisualStudio.Coverage.Analysis;
using Microsoft.VisualStudio.Coverage.Analysis.Database;

namespace MSText2Xml
{
    class Program
    {
        static void Main(string[] args)
        {
            string CoveragePath = @"C:\PD\VS 2008 Projects\csharp - original\TestResults\richard_RICHARD-XPS 2009-10-19 17_12_55\out"; //args[0];
            string CoverageFile = @"C:\PD\VS 2008 Projects\csharp - original\TestResults\richard_RICHARD-XPS 2009-10-19 17_12_55\In\RICHARD-XPS\data.coverage"; //args[1];
            string InputFile = "mscoverage.xml";
            string OutputFile = "mscoverageout.xml";
            string OutputDb = "mscoverageout.sdf";

            Console.ReadLine();

            //var ci = CoverageInfo.CreateFromFile(CoverageFile, new string[] { CoveragePath }, new string[] { CoveragePath });
            //var data = ci.BuildDataSet();
            //data.WriteXml(OutputFile);
            if (System.IO.File.Exists(OutputDb))
            {
                System.IO.File.Delete(OutputDb);
            }
            var database = CoverageDatabase.CreateFromCoverage(CoverageFile, new string[] { CoveragePath }, new string[] { CoveragePath }, OutputDb);
            database.Dispose();

            //database = new CoverageDatabase();
            //var module = database.AddModule();

            CoverageDatabase.Create("output file", true);

            var ci = CoverageInfo.CreateFromFile(OutputDb);
            ci.BuildDataSet().ExportXml(OutputFile);

            var data = new CoverageDS();
            data.ImportXml(OutputFile);

        }
    }
}
