﻿using System.IO;
using System.Xml;
using System.Xml.Linq;

namespace KWatkins.NUnitTfs
{
    internal static class Extensions
    {
        internal static byte[] ToBytes(this XDocument xml)
        {
            using (var memoryStream = new MemoryStream())
            {
                using (var writer = XmlWriter.Create(memoryStream))
                {
                    xml.WriteTo(writer);
                    writer.Flush();
                    return memoryStream.GetBuffer();
                }
            }
        }
    }
}
